@tool
extends Resource
class_name CharacterResource


@export var chara_sprite: Texture2D:
	set(value):
		chara_sprite = value
		changed.emit()

@export_category("Mask settings")
@export var mask_eyes_location: Vector2 = Vector2.ZERO:
	set(value):
		mask_eyes_location = value
		changed.emit()
@export var mask_mouth_location: Vector2 = Vector2.ZERO:
	set(value):
		mask_mouth_location = value
		changed.emit()

@export_category("Traits and preferences")
@export var traits: Array[Trait]
@export var preferences: Array[Preference]
